Substy Developers
Inbox and fans

List scheduled fan messages

List queued messages for one creator-fan conversation. Use the returned scheduled-message identifier to cancel a pending send.

GET/v1/agencies/{agencyId}/creators/{creatorId}/fans/{fanId}/scheduled-messages

List queued messages for one creator-fan conversation. Use the returned scheduled-message identifier to cancel a pending send.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string
fanId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/fans/string/scheduled-messages" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": [    {      "jobId": null,      "message": "string",      "mediaIds": [        "string"      ],      "mediaPreview": null,      "price": null,      "replyId": null,      "scheduledAt": null,      "createdAt": null    }  ],  "meta": {    "requestId": "string"  }}